<nav class="pagination" role="pagination">
    {% if paginator.previous_page %}
        {% if paginator.previous_page == 1 %}
            <a class="newer-posts" href="{{site.baseurl}}/" title="Предыдущая страница">&laquo; Ранее</a>
        {% else %}
            <a class="newer-posts" href="{{ paginator.previous_page_path | prepend: site.baseurl | replace: '//', '/' }}" title="Предыдущая страница">&laquo; Ранее </a>
      {% endif %}
    {% endif %}
    <span class="page-number"> &nbsp; &nbsp; Страница {{paginator.page}} из {{paginator.total_pages}} &nbsp; &nbsp; </span>
    {% if paginator.next_page %} 
        <a class="older-posts" href="{{ paginator.next_page_path | prepend: site.baseurl | replace: '//', '/' }}" title="Следующая страница">Позже &raquo;</a>
    {% endif %} 
</nav>